Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.applet
Class BusinessAppletController

    java.lang.Object
      de.jsystems.framework.common.Controller
          de.jsystems.framework.applet.BusinessAppletController

All Implemented Interfaces:
  FrameworkKonstanten, IController, IMessageTexte, IProgressSender

public class BusinessAppletController
extends Controller

Dieser Controller verwaltet die einzelnen Views fuer ein `BusinessApplet`.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2003
Author:
  Jens Homm JSYSTEMS

Field Summary
`protected BusinessApplet` | `businessApplet` Applet, das von diesem Controller verwaltet wird.
`static String` | `CVS_ID` Die Versionsverwaltung setzt diese Variable.
`static String` | `CVS_REV`

Fields inherited from class de.jsystems.framework.common.Controller
`actionManager, ausgewaehlteModels, ausgewaehlteView, menu, models, popup, printer, startbild, statuszeile, systemdialoge, toolbar, views`

Fields inherited from interface de.jsystems.framework.common.FrameworkKonstanten
`DEFAULT, EDITMODE, FRAMEWORK_LAF, METAL_LAF, MOTIF_LAF, NEWMODE, OHNE, ONLY_MENU, ONLY_TOOLBAR, SHOWMODE, WINDOWS_LAF`

Fields inherited from interface de.jsystems.framework.common.IMessageTexte
`FEHLER, FEHLER_AUFGETRETEN`

Constructor Summary
`BusinessAppletController()` Erzeugt einen Controller fuer ein Applet.
`BusinessAppletController(int auspraegung)` Erzeugt einen Controller fuer ein Applet.

Methods inherited from class de.jsystems.framework.common.Controller
`about, canExit, close, copy, createDefaultMenu, createDefaultPopup, createDefaultToolbar, createMenu, createNew, createPopup, createToolbar, cut, delete, edit, exceptionInAction, getActionManager, getAusgewaehlteModels, getMenue, getMessageList, getPopup, getStatusArea, getToolbar, getView, help, info, load, paste, print, redo, registerModel, registerView, registerViewActionControls, save, saveAs, setDefaultLookAndFeel, setLastLookAndFeel, setLookAndFeel, setStartUpProcent, setStartUpStatus, setStatusText, show, showPopup, toggleStatusArea, toggleToolbar, undo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CVS_ID

    public static String CVS_ID

  Die Versionsverwaltung setzt diese Variable.

### CVS_REV

    public static String CVS_REV

### businessApplet

    protected BusinessApplet businessApplet

  Applet, das von diesem Controller verwaltet wird.

Constructor Detail

### BusinessAppletController

    public BusinessAppletController()

  Erzeugt einen Controller fuer ein Applet.

### BusinessAppletController

    public BusinessAppletController(int auspraegung)

  Erzeugt einen Controller fuer ein Applet. Dabei wird die durch den Parameter `auspraegung` vorgegebene Umgebung bereitgestellt. Die Auspraegung kann die Werte
  `DEFAULT - Erzeugt ein Standardmenü und eine Standardtoolbar`
  `ONLY_MENU - Erzeugt nur ein Standardmenü`
  `ONLY_TOOLBAR - Erzeugt nur eine Standdardtoolbar`
  `OHNE - Erzeugt nichts`
  annehmen.

Parameters:
  `auspraegung` - Einstellung was alles zusaetzlich generiert werden soll.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD